CREATE procedure [C6StagingPeriodico].[RP_ST_DettAltriProdotti_pre_selective] as
begin 
	-- Log esecuzione
	INSERT INTO LOG_ESECUZIONE
		(Nome, Inizio, Nota)
	VALUES (
		'RP_ST_DettAltriProdotti_pre_selective',
		GETDATE(),
		'Elaborazione Trimestrale'
	)
	truncate table C6StagingPeriodico.RP_DettAltriProdotti
	insert into C6StagingPeriodico.RP_DettAltriProdotti
	/* 21/05/2015FCianfa e LM: sostituzione della select * con la select puntuale e valorizzazione a NULL di campi non più utilizzati per l'evolutiva patrimonio immobiliare.
    select * from [CONSEVO_PERIODICO].[consulenzaEvoluta].dbo.DettAltriProdotti
	*/
	select  [chiaveProdottoTerzi],
	[idTipoExtra],
	[descrizione],
	NULL,
	[valoreStimato],
	NULL,
	NULL,
	NULL,
	[flagAssicurativo],
	NULL,
	NULL,
	NULL,
	NULL,
	NULL,
	NULL,
	NULL,
	NULL
	from [CONSUNI_PERIODICO].[consulenzaUnica].dbo.DettAltriProdotti 
	-- Log esecuzione
	UPDATE
		LOG_ESECUZIONE
	SET
		Fine = GETDATE(),
		Tipo = 'INSERT',
		Righe = @@ROWCOUNT
	WHERE
		Nome = 'RP_ST_DettAltriProdotti_pre_selective' AND
		Inizio = (
			SELECT
				MAX(Inizio)
			FROM
				LOG_ESECUZIONE
			WHERE
				Nome = 'RP_ST_DettAltriProdotti_pre_selective'
		)
end